当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 新手求帮助libboost_filesystem.so.1.54.0问题
帖子发表于 : 2018-03-13 22:14 

注册: 2018-03-13 20:50
帖子: 4
系统: ubuntu 16.04 lts
送出感谢: 0 次
接收感谢: 0 次
我执行sudo ./pyrod:
error while loading shared libraries: libboost_filesystem.so.1.54.0: cannot open shared object file: No such file or directory
我电脑上确实没这个libboost_filesystem.so.1.54.0,安装的是libboost_filesystem.so.1.58.0
怎么安装多个版本?
Ubuntu 16.04 LTS默认安装的就是libboost_filesystem.so.1.58.0

我做了如下尝试没成功
1. sudo ln -s /usr/lib/x86_64-linux-gnu/libboost_system.so.1.58.0 /usr/lib/x86_64-linux-gnu/libboost_system.so.1.54.0
这个不行,还是提示找不到libboost_filesystem.so.1.54.0
2.试图安装
sudo dpkg -i libboost-system1.54-dev_1.54.0-4ubuntu3_amd64.deb
Selecting previously unselected package libboost-system1.54-dev:amd64.
dpkg: regarding libboost-system1.54-dev_1.54.0-4ubuntu3_amd64.deb containing libboost-system1.54-dev:amd64:
libboost-system1.58-dev:amd64 conflicts with libboost-system1.54-dev
libboost-system1.54-dev:amd64 (version 1.54.0-4ubuntu3) is to be installed.

dpkg: error processing archive libboost-system1.54-dev_1.54.0-4ubuntu3_amd64.deb (--install):
conflicting packages - not installing libboost-system1.54-dev:amd64
Errors were encountered while processing:
libboost-system1.54-dev_1.54.0-4ubuntu3_amd64.deb
提示冲突,请各位帮忙下,这个问题怎么解决
我这个服务器用来装虚拟币钱包基本上都要用到libboost_filesystem.so.1.54.0
能否从其他机器拷贝到/usr/lib目录下呢?


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 新手求帮助libboost_filesystem.so.1.54.0问题
帖子发表于 : 2018-03-13 22:52 

注册: 2007-01-14 16:23
帖子: 4350
送出感谢: 0 次
接收感谢: 109
你可能需要自己编译安装1.54.0的boost,而不是用系统带的,先把系统里面的删掉,然后再下载代码自己装下试试看吧

http://www.boost.org/doc/libs/1_54_0/mo ... iants.html


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 新手求帮助libboost_filesystem.so.1.54.0问题
帖子发表于 : 2018-03-13 22:53 

注册: 2018-03-13 20:50
帖子: 4
系统: ubuntu 16.04 lts
送出感谢: 0 次
接收感谢: 0 次
难道只有装ubuntu 14.04 ?


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 新手求帮助libboost_filesystem.so.1.54.0问题
帖子发表于 : 2018-03-13 23:24 

注册: 2018-03-13 20:50
帖子: 4
系统: ubuntu 16.04 lts
送出感谢: 0 次
接收感谢: 0 次
onlylove 写道:
你可能需要自己编译安装1.54.0的boost,而不是用系统带的,先把系统里面的删掉,然后再下载代码自己装下试试看吧

http://www.boost.org/doc/libs/1_54_0/mo ... iants.html

谢谢,我删除了,自己编译,报一堆错,最后没安装成功。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 新手求帮助libboost_filesystem.so.1.54.0问题
帖子发表于 : 2018-03-13 23:25 

注册: 2007-01-14 16:23
帖子: 4350
送出感谢: 0 次
接收感谢: 109
你说自己编译报一堆错,然后呢,想过去解决没,或者把报错发上来?你要是觉得装ubuntu1404比装boost1.54.0简单,就去装(如果1404自带的是1.54)


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 新手求帮助libboost_filesystem.so.1.54.0问题
帖子发表于 : 2018-03-14 17:47 

注册: 2018-03-13 20:50
帖子: 4
系统: ubuntu 16.04 lts
送出感谢: 0 次
接收感谢: 0 次
onlylove 写道:
你说自己编译报一堆错,然后呢,想过去解决没,或者把报错发上来?你要是觉得装ubuntu1404比装boost1.54.0简单,就去装(如果1404自带的是1.54)

也许确实没什么捷径
我说报一堆错就是多得不能停下来处理那种了。
不是一两个在最后输出能看到,很多一闪就过了。:em06


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 新手求帮助libboost_filesystem.so.1.54.0问题
帖子发表于 : 2018-03-14 19:50 

注册: 2007-01-14 16:23
帖子: 4350
送出感谢: 0 次
接收感谢: 109
ncgege 写道:
onlylove 写道:
你说自己编译报一堆错,然后呢,想过去解决没,或者把报错发上来?你要是觉得装ubuntu1404比装boost1.54.0简单,就去装(如果1404自带的是1.54)

也许确实没什么捷径
我说报一堆错就是多得不能停下来处理那种了。
不是一两个在最后输出能看到,很多一闪就过了。:em06

按ctrl c强行终止总会吧,而且安装会有安装日志


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译